##
##  ares.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ares
Summary:      Asynchronous DNS Resolver Library
URL:          https://c-ares.org/
Vendor:       Greg Hudson, Daniel Stenberg
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        DNS
License:      MIT
Version:      1.34.4
Release:      20241214

#   list of sources
Source0:      https://github.com/c-ares/c-ares/releases/download/v%{version}/c-ares-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    ARES (Asynchronous Resolver) is a C library that performs DNS
    requests and name resolves asynchronously. This package is based on
    c-ares, a fork and enhanced version of the original ARES library.

%track
    prog ares = {
        version   = %{version}
        url       = http://c-ares.org/
        regex     = c-ares-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n c-ares-%{version}

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --disable-tests \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
        ls -l $RPM_BUILD_ROOT%{l_prefix}/lib/
    ( cd $RPM_BUILD_ROOT%{l_prefix}/lib
      %{l_shtool} mkln libcares.a  libares.a
      %{l_shtool} mkln libcares.la libares.la
      %{l_shtool} subst -e 's;cares;ares;g' libares.la
    ) || exit $?
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

